> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction History

> Endpoint to retrieve the transaction history from Third-party service.



## OpenAPI

````yaml GET /partner/clover/accounts/transactions/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/accounts/transactions/{account_id}:
    get:
      tags:
        - Clover
      summary: Get Transaction History
      description: Endpoint to retrieve the transaction history from Third-party service.
      operationId: >-
        get_transaction_history_partner_clover_accounts_transactions__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: transaction_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Transaction Id
            description: Transaction ID
          description: Transaction ID
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Start date for transactions in ISO format (YYYY-MM-DD)
            title: Start Date
          description: Start date for transactions in ISO format (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: End date for transactions in ISO format (YYYY-MM-DD)
            title: End Date
          description: End date for transactions in ISO format (YYYY-MM-DD)
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                exclusiveMinimum: 0
              - type: 'null'
            description: Page number for pagination
            default: 1
            title: Page
          description: Page number for pagination
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
              - type: 'null'
            description: Number of transactions per page
            default: 100
            title: Limit
          description: Number of transactions per page
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerPartnerApiResponseSchema_List_ClientTransactionHistoryCloverResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerPartnerApiResponseSchema_List_ClientTransactionHistoryCloverResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClientTransactionHistoryCloverResponse'
              type: array
            - type: 'null'
          title: Data
        pagination:
          anyOf:
            - $ref: '#/components/schemas/CustomerPartnerPagination'
            - type: 'null'
      type: object
      required:
        - message
      title: >-
        CustomerPartnerApiResponseSchema[List[ClientTransactionHistoryCloverResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientTransactionHistoryCloverResponse:
      properties:
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Id
          description: Customer account
          examples:
            - abc123
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Account number
          examples:
            - '123456789'
        account_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Group
          description: Account group
          examples:
            - '2'
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Transaction type
          examples:
            - Deposit
        settled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Settled At
          description: Transaction settled date
          examples:
            - '2025-12-31T01:10:33Z'
        counterparty_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty Name
          description: Counterparty
          examples:
            - Self - JP Morgan
        counterparty_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty Id
          description: Counterparty ID
          examples:
            - Self - JP Morgan
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
          description: Transaction amount
          examples:
            - 190.5
        debit_credit_flag:
          anyOf:
            - type: string
            - type: 'null'
          title: Debit Credit Flag
          description: Debit or credit flag
          examples:
            - true
        ach_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ach Id
          examples:
            - ach_01KPY2934D6QYD7KYHJXSJVSYX
      type: object
      title: ClientTransactionHistoryCloverResponse
      description: Schema to serialize the transaction history response.
    CustomerPartnerPagination:
      properties:
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items
        limit:
          type: integer
          title: Limit
          description: Limit number of items
        page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page
          description: Offset number of items
      type: object
      required:
        - limit
      title: CustomerPartnerPagination
      description: Represent the pagination structure.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````